/*******************************************************************************
* Copyright (C) 2003 by LSI Logic Corporation.  
*
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the
* Free Software Foundation,  version 2 of the License.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
********************************************************************************/
/*******************************************************************************

NAME            mppUtil_Sysdep.h
SUMMARY         %description%
VERSION         %version: 8 %
UPDATE DATE     %date_modified: Wed Jan 21 09:58:32 2004 %
PROGRAMMER      %created_by:    shankara %

        Copyright 2003, LSI Logic Storage Systems, Inc.


DESCRIPTION: System Dependent Header file to support the mppUtil Utility

INCLUDE FILES:

NOTES:

RESTRICTIONS:

SEE ALSO:

REFERENCE:

IMPLEMENTATION:

MODIFICATION HISTORY:

*******************************************************************************/

#ifndef __INCmppUtil_Sysdep
#define __INCmppUtil_Sysdep

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <fcntl.h>
#include <errno.h>
#include <unistd.h>
#include <time.h>
#include <linux/types.h>
#include <linux/stat.h>

/***  INCLUDES  ***/  

/***  CONSTANT DEFINITIONS  ***/
#define __SRCmppUtil_Sysdep

/***  MACRO DEFINITIONS  ***/
#define TRUE                               1
#define FALSE                              0

#define MPPSYS_UTIL_USAGE   "[-I hostid] [-V]" /* [-C] is also an option but is not displayed in Usage */ 
#define MPPSYS_UTIL_CMDLINE_ARGS	"I:CV"

typedef char * MPP_STRING;
typedef int HANDLE;
typedef struct tm tm_t;



/***  TYPE DEFINITIONS  ***/

typedef struct mppLnx_FileAttributes
{
   char              *fileName;
   char              *version;
   char              *digest;
}  mppLnx_FileAttributes_t;


/***  GLOBALS  ***/ 

#endif 			/* End of __INCmppUtil_Sysdep */

