/*******************************************************************************

NAME            mppLnx_Spinlock_Size.c
SUMMARY         %description%
VERSION         %version: 1 %
UPDATE DATE     %date_modified: Tue Jan 13 13:13:12 2004 %
PROGRAMMER      %created_by:    shankara %

        Copyright 2004, LSI Logic Storage Systems, Inc.

DESCRIPTION: This is simple file that compiles in kernel space to give us the size of kernel struct spinlock_t from the kernel headers. This was needed as mppUtil needs the size of the spinlock_t but including kernel headers in user space is not a good idea and also gave other problems.

INCLUDE FILES:

NOTES:

RESTRICTIONS:

SEE ALSO:

REFERENCE:

IMPLEMENTATION:

MODIFICATION HISTORY:

*******************************************************************************/

#define __SRCmppLnx_Spinlock_Size

/***  INCLUDES  ***/  
#include <linux/spinlock.h>


/***  CONSTANT DEFINITIONS  ***/


/***  MACRO DEFINITIONS  ***/


/***  TYPE DEFINITIONS  ***/


/***  LOCALS  ***/


/***  PROCEDURES  ***/


/*******************************************************************************
* PROCEDURE
*
* NAME:    main 
* SUMMARY: main function 
* SCOPE:    public | private | local
    local = Internal procedure (static)
    public = Procedure is visible to all components throughout system
    private = Procedure is visible to a limited set of modules, within
        one component (default)
*
*
* DESCRIPTION: This program just prints out the size of spinlock_t by including the right headers
*
* RESTRICTIONS:
* 
* RETURNS: 0
*
* ERRNO:
*
* NOTES:
*
* EXAMPLES:
*
* SEE ALSO:
*
*/

int main()
{
        /* returns the size of spinlock from kernel headers */
        printf("%d",sizeof(spinlock_t));
        return 0;
}
